## sumo-1_26_0.tar.gz

=== src/CMakeLists.txt ===
set(netconvertlibs
    netwrite netimport netbuild foreign_eulerspiral ${GDAL_LIBRARY}
    netimport_vissim netimport_vissim_typeloader netimport_vissim_tempstructs
    ${commonlibs} ${TCMALLOC_LIBRARY})

set(sumolibs
    traciserver netload microsim_cfmodels microsim_engine microsim_lcmodels
    microsim_devices microsim_trigger microsim_output microsim_transportables
    microsim_actions microsim_traffic_lights microsim mesosim ${commonvehiclelibs}
    ${GEOS_LIBRARY} ${BOOST_LIBRARIES})

if (OPENSCENEGRAPH_FOUND)
    set(osgviewlib osgview)
endif ()

set(sumoguilibs
    guinetload guisim gui gui_dialogs utils_gui_windows utils_gui_globjects
    utils_gui_div utils_gui_settings utils_gui_images utils_gui_cursors
    utils_gui_shortcuts utils_tests utils_gui_tracker utils_foxtools
    ${osgviewlib} ${sumolibs} mesogui
    ${GDAL_LIBRARY} ${FFMPEG_LIBRARIES} ${OPENSCENEGRAPH_LIBRARIES} ${GL2PS_LIBRARIES})
if (MSVC)
    set(sumoguilibs ${sumoguilibs} opengl32 glu32)
endif ()
if ((GNU_COMPILER OR CLANG_COMPILER) AND NOT APPLE)
    set(sumolibs -Wl,--whole-archive ${sumolibs} -Wl,--no-whole-archive)
    set(sumoguilibs -Wl,--whole-archive ${sumoguilibs} -Wl,--no-whole-archive)
endif()

add_subdirectory(activitygen)
add_subdirectory(dfrouter)
add_subdirectory(duarouter)
if (FMI)
    add_subdirectory(fmi)
endif ()
add_subdirectory(foreign)
add_subdirectory(jtrrouter)
add_subdirectory(libsumo)
add_subdirectory(libtraci)
add_subdirectory(marouter)
add_subdirectory(mesosim)
add_subdirectory(microsim)
add_subdirectory(netbuild)
add_subdirectory(netgen)
add_subdirectory(netimport)
add_subdirectory(netload)
add_subdirectory(netwrite)
add_subdirectory(od)
if (OPENSCENEGRAPH_FOUND)
    add_subdirectory(osgview)
endif ()
add_subdirectory(polyconvert)
add_subdirectory(router)
add_subdirectory(tools)
add_subdirectory(traci-server)
add_subdirectory(traci_testclient)
add_subdirectory(utils)
if (FOX_FOUND)
    add_subdirectory(gui)
    add_subdirectory(guinetload)
    add_subdirectory(guisim)
    add_subdirectory(mesogui)
    if (NETEDIT)
        add_subdirectory(netedit)
    endif ()
endif ()

add_executable(sumo sumo_main.cpp)
set_target_properties(sumo PROPERTIES OUTPUT_NAME sumo${BINARY_SUFFIX})
set_target_properties(sumo PROPERTIES OUTPUT_NAME_DEBUG sumo${BINARY_SUFFIX}D)
target_link_libraries(sumo ${sumolibs} libsumostatic ${TCMALLOC_LIBRARY})
add_dependencies(sumo generate-version-h install_dll)

if (FOX_FOUND)
    add_executable(sumo-gui guisim_main.cpp sumo-gui.rc)
    set_target_properties(sumo-gui PROPERTIES OUTPUT_NAME sumo-gui${BINARY_SUFFIX})
    set_target_properties(sumo-gui PROPERTIES OUTPUT_NAME_DEBUG sumo-gui${BINARY_SUFFIX}D)
    target_link_libraries(sumo-gui ${sumoguilibs} libsumoguistatic ${TCMALLOC_LIBRARY})
    if (MSVC)
        if (CONSOLE_RELEASE)
            set_target_properties(sumo-gui PROPERTIES LINK_FLAGS_RELEASE "/ENTRY:mainCRTStartup")
        else ()
            set_target_properties(sumo-gui PROPERTIES LINK_FLAGS_RELEASE "/SUBSYSTEM:WINDOWS /ENTRY:mainCRTStartup")
        endif()
        if (FFMPEG_FOUND)
            set_target_properties(sumo-gui PROPERTIES LINK_FLAGS "/SAFESEH:NO")
        endif ()
        if (CMAKE_VERSION VERSION_LESS "3.16.0")
            message(STATUS "DPI awareness for sumo-gui will be disabled. Please consider using CMake version >= 3.16 to enable it")
        else ()
            set_target_properties(sumo-gui PROPERTIES VS_DPI_AWARE "ON")
        endif ()
    endif ()
    add_dependencies(sumo-gui generate-version-h install_dll install_mo)
    install(TARGETS sumo-gui RUNTIME DESTINATION bin COMPONENT runtime)
endif ()

add_executable(netconvert netconvert_main.cpp)
set_target_properties(netconvert PROPERTIES OUTPUT_NAME netconvert${BINARY_SUFFIX})
set_target_properties(netconvert PROPERTIES OUTPUT_NAME_DEBUG netconvert${BINARY_SUFFIX}D)
target_link_libraries(netconvert ${netconvertlibs})
add_dependencies(netconvert generate-version-h install_dll)

add_executable(od2trips od2trips_main.cpp)
set_target_properties(od2trips PROPERTIES OUTPUT_NAME od2trips${BINARY_SUFFIX})
set_target_properties(od2trips PROPERTIES OUTPUT_NAME_DEBUG od2trips${BINARY_SUFFIX}D)
target_link_libraries(od2trips od router ${commonvehiclelibs} ${TCMALLOC_LIBRARY})
add_dependencies(od2trips generate-version-h install_dll)

install(TARGETS sumo netconvert od2trips RUNTIME DESTINATION bin COMPONENT runtime)
install(DIRECTORY libsumo DESTINATION include COMPONENT runtime
        FILES_MATCHING PATTERN "*.h"
        PATTERN "*Helper.h" EXCLUDE
        PATTERN "Subscription.h" EXCLUDE)

configure_file(config.h.cmake config.h)

# obtain version from git folder
if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/../.git/index")
    set(VERSION_DEP "${CMAKE_CURRENT_SOURCE_DIR}/../.git/index")
endif()

# define version.h dependency
add_custom_command(OUTPUT version.h
                   COMMAND ${Python_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/../tools/build_config/version.py ${CMAKE_CURRENT_BINARY_DIR}
                   DEPENDS ${VERSION_DEP}
                  )
add_custom_target(generate-version-h DEPENDS version.h)
set_property(TARGET generate-version-h PROPERTY FOLDER "CMake")

=== docs/web/requirements.txt ===
markdown>=3.3
mdx_gh_links
mdx_truly_sane_lists>=1.3
mkdocs>=1.6.0
mkdocs-git-revision-date-plugin>=0.2
mkdocs-macros-plugin>=0.2.4
mkdocs-publisher
mkdocs-redirects>=1.2.1
mkdocs-unused-files
plantuml==0.3.0
plantuml-markdown
pymdown-extensions

=== src/activitygen/CMakeLists.txt ===
add_subdirectory(activities)
add_subdirectory(city)

set(activitygen_SRCS
   activitygen_main.cpp
   AGActivityGen.cpp
   AGActivityGen.h
   AGActivityGenHandler.cpp
   AGActivityGenHandler.h
   AGActivityTripWriter.cpp
   AGActivityTripWriter.h
   AGFrame.cpp
   AGFrame.h
)

add_executable(activitygen ${activitygen_SRCS})
set_target_properties(activitygen PROPERTIES OUTPUT_NAME activitygen${BINARY_SUFFIX})
set_target_properties(activitygen PROPERTIES OUTPUT_NAME_DEBUG activitygen${BINARY_SUFFIX}D)
target_link_libraries(activitygen activitygen_activities activitygen_city router ${commonvehiclelibs} ${TCMALLOC_LIBRARY})
add_dependencies(activitygen generate-version-h install_dll)

install(TARGETS activitygen RUNTIME DESTINATION bin COMPONENT runtime)

=== src/dfrouter/CMakeLists.txt ===
set(dfrouter_SRCS
   dfrouter_main.cpp
   RODFDetFlowLoader.cpp
   RODFDetFlowLoader.h
   RODFDetector.cpp
   RODFDetector.h
   RODFDetectorFlow.cpp
   RODFDetectorFlow.h
   RODFDetectorHandler.cpp
   RODFDetectorHandler.h
   RODFNet.cpp
   RODFNet.h
   RODFRouteCont.cpp
   RODFRouteCont.h
   RODFRouteDesc.h
   RODFEdgeBuilder.cpp
   RODFEdgeBuilder.h
   RODFEdge.cpp
   RODFEdge.h
   RODFFrame.cpp
   RODFFrame.h
)

add_executable(dfrouter ${dfrouter_SRCS})
set_target_properties(dfrouter PROPERTIES OUTPUT_NAME dfrouter${BINARY_SUFFIX})
set_target_properties(dfrouter PROPERTIES OUTPUT_NAME_DEBUG dfrouter${BINARY_SUFFIX}D)
target_link_libraries(dfrouter router ${commonvehiclelibs} ${TCMALLOC_LIBRARY})
add_dependencies(dfrouter generate-version-h install_dll)

install(TARGETS dfrouter RUNTIME DESTINATION bin COMPONENT runtime)

=== src/duarouter/CMakeLists.txt ===
set(duarouter_SRCS
   duarouter_main.cpp
   RODUAEdgeBuilder.cpp
   RODUAEdgeBuilder.h
   RODUAFrame.cpp
   RODUAFrame.h
)

add_executable(duarouter ${duarouter_SRCS})
set_target_properties(duarouter PROPERTIES OUTPUT_NAME duarouter${BINARY_SUFFIX})
set_target_properties(duarouter PROPERTIES OUTPUT_NAME_DEBUG duarouter${BINARY_SUFFIX}D)
target_link_libraries(duarouter router ${commonvehiclelibs} ${TCMALLOC_LIBRARY})
add_dependencies(duarouter generate-version-h install_dll)

install(TARGETS duarouter RUNTIME DESTINATION bin COMPONENT runtime)

=== src/jtrrouter/CMakeLists.txt ===
set(jtrrouter_SRCS
   jtrrouter_main.cpp
   ROJTREdge.cpp
   ROJTREdge.h
   ROJTREdgeBuilder.cpp
   ROJTREdgeBuilder.h
   ROJTRRouter.cpp
   ROJTRRouter.h
   ROJTRTurnDefLoader.cpp
   ROJTRTurnDefLoader.h
   ROJTRFrame.cpp
   ROJTRFrame.h
)

add_executable(jtrrouter ${jtrrouter_SRCS})
set_target_properties(jtrrouter PROPERTIES OUTPUT_NAME jtrrouter${BINARY_SUFFIX})
set_target_properties(jtrrouter PROPERTIES OUTPUT_NAME_DEBUG jtrrouter${BINARY_SUFFIX}D)
target_link_libraries(jtrrouter router ${commonvehiclelibs} ${TCMALLOC_LIBRARY})
add_dependencies(jtrrouter generate-version-h install_dll)

install(TARGETS jtrrouter RUNTIME DESTINATION bin COMPONENT runtime)

=== src/libsumo/CMakeLists.txt ===
set(libsumostatic_STAT_SRCS
    Edge.cpp
    Edge.h
    Helper.cpp
    Helper.h
    InductionLoop.cpp
    InductionLoop.h
    Junction.cpp
    Junction.h
    Lane.cpp
    Lane.h
    LaneArea.cpp
    LaneArea.h
    MultiEntryExit.h
    MultiEntryExit.cpp
    Person.cpp
    Person.h
    POI.cpp
    POI.h
    Polygon.h
    Polygon.cpp
    Route.h
    Route.cpp
    Calibrator.h
    Calibrator.cpp
    BusStop.h
    BusStop.cpp
    ParkingArea.h
    ParkingArea.cpp
    ChargingStation.h
    ChargingStation.cpp
    RouteProbe.h
    RouteProbe.cpp
    Rerouter.h
    Rerouter.cpp
    VariableSpeedSign.h
    VariableSpeedSign.cpp
    MeanData.h
    MeanData.cpp
    OverheadWire.h
    OverheadWire.cpp
    Simulation.cpp
    Simulation.h
    Subscription.h
    StorageHelper.h
    TraCIConstants.h
    TraCIDefs.h
    TrafficLight.cpp
    TrafficLight.h
    Vehicle.cpp
    Vehicle.h
    VehicleType.cpp
    VehicleType.h
)

if (NOT ISOLATED_BUILD)
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_DEBUG ${CMAKE_SOURCE_DIR}/bin)
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_RELEASE ${CMAKE_SOURCE_DIR}/bin)
endif()
# libsumostatic contains a compiled version of src/libsumo without GUI.* and without HAVE_LIBSUMOGUI being defined
add_library(libsumostatic STATIC ${libsumostatic_STAT_SRCS})
add_dependencies(libsumostatic generate-version-h install_dll)
set_target_properties(libsumostatic PROPERTIES FOLDER "libsumo" PREFIX ""
    OUTPUT_NAME libsumostatic${BINARY_SUFFIX}
    OUTPUT_NAME_DEBUG libsumostatic${BINARY_SUFFIX}D)

if (FOX_FOUND)
    # libsumoguistatic contains a compiled version of src/libsumo with HAVE_LIBSUMOGUI being defined
    # the define also affects code in Simulation and Helper so we need to recompile
    add_library(libsumoguistatic STATIC ${libsumostatic_STAT_SRCS} GUI.cpp GUI.h)
    add_dependencies(libsumoguistatic generate-version-h install_dll)
    set_target_properties(libsumoguistatic PROPERTIES FOLDER "libsumo" PREFIX ""
        OUTPUT_NAME libsumoguistatic${BINARY_SUFFIX}
        OUTPUT_NAME_DEBUG libsumoguistatic${BINARY_SUFFIX}D)
    target_compile_definitions(libsumoguistatic PUBLIC HAVE_LIBSUMOGUI)

    # for libsumocpp we need to recompile a third time to make sure everything is in the public interface
    add_library(libsumocpp SHARED ${libsumostatic_STAT_SRCS} GUI.cpp GUI.h)
    target_compile_definitions(libsumocpp PUBLIC HAVE_LIBSUMOGUI)
    set(sumo_link_libraries ${sumoguilibs} libsumoguistatic)
    target_link_libraries(libsumocpp PRIVATE ${sumoguilibs})
else ()
    add_library(libsumocpp SHARED ${libsumostatic_STAT_SRCS})
    set(sumo_link_libraries ${sumolibs} libsumostatic)
    target_link_libraries(libsumocpp PRIVATE ${sumolibs})
endif()
# TODO libsumocpp may contain GUI or not, you cannot tell from the name
add_dependencies(libsumocpp generate-version-h install_dll)

set_target_properties(libsumocpp PROPERTIES FOLDER "libsumo" PREFIX ""
    OUTPUT_NAME libsumocpp${BINARY_SUFFIX}
    OUTPUT_NAME_DEBUG libsumocpp${BINARY_SUFFIX}D)
target_include_directories(libsumocpp PUBLIC $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/src>)
install(TARGETS libsumocpp EXPORT SUMOConfig
    DESTINATION bin COMPONENT runtime
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)
export(TARGETS libsumocpp NAMESPACE SUMO:: FILE "${CMAKE_BINARY_DIR}/SUMOConfig.cmake")

if (SWIG_FOUND)
    include(${SWIG_USE_FILE})
    set_source_files_properties(libsumo.i PROPERTIES CPLUSPLUS ON)
    file(GLOB LIBSUMO_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/*.h")
    if (ENABLE_JAVA_BINDINGS)
        find_package(Java)
        find_package(JNI)
        if(JAVA_FOUND AND JNI_FOUND)
            include(UseJava)
            include_directories(${JNI_INCLUDE_DIRS})
            set(CMAKE_SWIG_FLAGS -package org.eclipse.sumo.libsumo)
            if (FOX_FOUND)
                set(CMAKE_SWIG_FLAGS ${CMAKE_SWIG_FLAGS} -DHAVE_LIBSUMOGUI)
            endif()
            set(CMAKE_SWIG_OUTDIR ${CMAKE_CURRENT_BINARY_DIR}/java)
            set(SWIG_MODULE_libsumojni_EXTRA_DEPS ${LIBSUMO_HEADERS} libsumo_typemap.i)
            SWIG_ADD_LIBRARY(libsumojni LANGUAGE java SOURCES libsumo.i)
            if ((GNU_COMPILER OR CLANG_COMPILER) AND NOT APPLE)
                set_source_files_properties(${swig_generated_file_fullname} PROPERTIES COMPILE_FLAGS "-Wno-strict-aliasing")
            endif()
            target_link_libraries(libsumojni ${sumo_link_libraries})
            if (MVN_EXECUTABLE)
                ADD_CUSTOM_COMMAND(TARGET libsumojni POST_BUILD
                    COMMAND ${Python_EXECUTABLE} ${SUMO_TOOLS_DIR}/traci/rebuildConstants.py -o java/Constants.java -j org.eclipse.sumo.libsumo.Constants
                    COMMAND ${CMAKE_COMMAND} -E make_directory src/main/java/org/eclipse/sumo/libsumo
                    COMMAND ${CMAKE_COMMAND} -E copy_directory java src/main/java/org/eclipse/sumo/libsumo
                    COMMAND ${Python_EXECUTABLE} ${SUMO_TOOLS_DIR}/build_config/pom.py libsumo $<TARGET_FILE_DIR:libsumojni>
                    COMMAND ${MVN_COMMAND_PREFIX} ${MVN_EXECUTABLE} ${MVN_REPO} ${MVN_OPTS} --batch-mode package source:jar
                )
            else()
                message(WARNING "Could not build libsumo jar, maven was not found.")
            endif()
            set_target_properties(libsumojni PROPERTIES FOLDER "libsumo")
            install(TARGETS libsumojni DESTINATION bin LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
        endif()
    endif(ENABLE_JAVA_BINDINGS)

    if (ENABLE_CS_BINDINGS)
        set(CS_NAMESPACE Eclipse.Sumo.Libsumo)
        set(CMAKE_SWIG_FLAGS -namespace ${CS_NAMESPACE})
        if (FOX_FOUND)
            set(CMAKE_SWIG_FLAGS ${CMAKE_SWIG_FLAGS} -DHAVE_LIBSUMOGUI)
        endif()
        set(CMAKE_SWIG_OUTDIR ${CMAKE_CURRENT_BINARY_DIR}/${CS_NAMESPACE})
        set(SWIG_MODULE_libsumocs_EXTRA_DEPS ${LIBSUMO_HEADERS} libsumo_typemap.i)
        SWIG_ADD_LIBRARY(libsumocs LANGUAGE CSharp SOURCES libsumo.i)
        if ((GNU_COMPILER OR CLANG_COMPILER) AND NOT APPLE)
            set_source_files_properties(${swig_generated_file_fullname} PROPERTIES COMPILE_FLAGS "-Wno-strict-aliasing")
        endif()
        target_link_libraries(libsumocs ${sumo_link_libraries})
        ADD_CUSTOM_COMMAND(TARGET libsumocs POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E tar "cf" "$<TARGET_FILE_DIR:libsumocs>/libsumocs-sources.zip" --format=zip "${CS_NAMESPACE}"
        )
        set_target_properties(libsumocs PROPERTIES FOLDER "libsumo" PREFIX "")
        install(TARGETS libsumocs DESTINATION bin LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
    endif(ENABLE_CS_BINDINGS)

    if (ENABLE_PYTHON_BINDINGS)
        if (Python_Development.Module_FOUND)
            set(CMAKE_SWIG_FLAGS -keyword) # is necessary for using keyword args
            # other options which should be evaluated: -builtin, -modern, -extranative
            if (FOX_FOUND)
                set(CMAKE_SWIG_FLAGS ${CMAKE_SWIG_FLAGS} -DHAVE_LIBSUMOGUI)
            endif()
            set(SWIG_OUTFILE_DIR ${CMAKE_CURRENT_BINARY_DIR})
            if (NOT ISOLATED_BUILD)
                set(CMAKE_SWIG_OUTDIR ${CMAKE_SOURCE_DIR}/tools/libsumo)
                set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_SOURCE_DIR}/tools/libsumo)
            #    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY_DEBUG ${CMAKE_SOURCE_DIR}/tools/libsumo)
                set(CMAKE_LIBRARY_OUTPUT_DIRECTORY_RELEASE ${CMAKE_SOURCE_DIR}/tools/libsumo)
            endif()
            set(SWIG_MODULE_libsumo_EXTRA_DEPS ${LIBSUMO_HEADERS} libsumo_typemap.i)
            if (CLANG_COMPILER)
                set_property(SOURCE libsumo.i PROPERTY GENERATED_COMPILE_OPTIONS "-Wno-deprecated-declarations")
            endif()
            SWIG_ADD_LIBRARY(libsumo LANGUAGE python SOURCES libsumo.i)
            add_dependencies(${SWIG_MODULE_libsumo_REAL_NAME} generate-version-h install_dll)
            target_link_libraries(libsumo ${sumo_link_libraries} Python::Module)
            if (NOT ${PYTHON_BUILD_MISSING})
                # no isolated build here because we need to be able to do it offline (on open build service, launchpad etc.)
                install(CODE "
                    execute_process(COMMAND ${Python_EXECUTABLE} tools/build_config/version.py --pep440 build_config/pyproject/libsumo_local.toml pyproject.toml
                                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
                    execute_process(COMMAND ${Python_EXECUTABLE} -m pip install --no-build-isolation --prefix=\$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX} -f ${CMAKE_BINARY_DIR} --no-index .
                                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
                " COMPONENT python_package EXCLUDE_FROM_ALL)
            endif()
        endif()
    endif(ENABLE_PYTHON_BINDINGS)

endif(SWIG_FOUND)

=== src/libtraci/CMakeLists.txt ===
set(libtracistatic_STAT_SRCS
    Connection.cpp
    Connection.h
    Domain.h
    Edge.cpp
    GUI.cpp
    InductionLoop.cpp
    Junction.cpp
    Lane.cpp
    LaneArea.cpp
    MultiEntryExit.cpp
    Person.cpp
    POI.cpp
    Polygon.cpp
    Route.cpp
    Calibrator.cpp
    BusStop.cpp
    ParkingArea.cpp
    ChargingStation.cpp
    RouteProbe.cpp
    Rerouter.cpp
    VariableSpeedSign.cpp
    MeanData.cpp
    OverheadWire.cpp
    Simulation.cpp
    TrafficLight.cpp
    Vehicle.cpp
    VehicleType.cpp
)

if (NOT ISOLATED_BUILD)
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_DEBUG ${CMAKE_SOURCE_DIR}/bin)
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_RELEASE ${CMAKE_SOURCE_DIR}/bin)
endif()
add_library(libtracistatic STATIC ${libtracistatic_STAT_SRCS})
add_dependencies(libtracistatic generate-version-h install_dll)
set_target_properties(libtracistatic PROPERTIES FOLDER "libtraci" PREFIX ""
    OUTPUT_NAME libtracistatic${BINARY_SUFFIX}
    OUTPUT_NAME_DEBUG libtracistatic${BINARY_SUFFIX}D)

if (WIN32)
    set(libtcpip foreign_tcpip ws2_32)
else()
    set(libtcpip foreign_tcpip)
endif()

add_library(libtracicpp SHARED ${libtracistatic_STAT_SRCS})
set_target_properties(libtracicpp PROPERTIES FOLDER "libtraci" PREFIX ""
    OUTPUT_NAME libtracicpp${BINARY_SUFFIX}
    OUTPUT_NAME_DEBUG libtracicpp${BINARY_SUFFIX}D)
target_include_directories(libtracicpp PUBLIC $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/src>)
install(TARGETS libtracicpp EXPORT SUMOConfig
    DESTINATION bin COMPONENT runtime
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)
export(TARGETS libtracicpp NAMESPACE SUMO:: APPEND FILE "${CMAKE_BINARY_DIR}/SUMOConfig.cmake")

if ((GNU_COMPILER OR CLANG_COMPILER) AND NOT APPLE)
    target_link_libraries(libtracicpp PRIVATE -Wl,--whole-archive ${libtcpip} -Wl,--no-whole-archive)
else ()
    target_link_libraries(libtracicpp PRIVATE ${libtcpip})
endif()

if (SWIG_FOUND)
    include(${SWIG_USE_FILE})
    set_source_files_properties(libtraci.i PROPERTIES CPLUSPLUS ON)
    file(GLOB libtraci_HEADERS "${CMAKE_CURRENT_SOURCE_DIR}/../libsumo/*.h")
    if (ENABLE_JAVA_BINDINGS)
        find_package(Java)
        find_package(JNI)
        if(JAVA_FOUND AND JNI_FOUND)
            include(UseJava)
            include_directories(${JNI_INCLUDE_DIRS})
            set(CMAKE_SWIG_FLAGS -package org.eclipse.sumo.libtraci)
            set(CMAKE_SWIG_OUTDIR ${CMAKE_CURRENT_BINARY_DIR}/java)
            set(SWIG_MODULE_libtracijni_EXTRA_DEPS ${libtraci_HEADERS} ../libsumo/libsumo_typemap.i)
            SWIG_ADD_LIBRARY(libtracijni LANGUAGE java SOURCES libtraci.i)
            if ((GNU_COMPILER OR CLANG_COMPILER) AND NOT APPLE)
                set_source_files_properties(${swig_generated_file_fullname} PROPERTIES COMPILE_FLAGS "-Wno-strict-aliasing")
                target_link_libraries(libtracijni -Wl,--whole-archive libtracistatic ${libtcpip} -Wl,--no-whole-archive)
            else()
                target_link_libraries(libtracijni libtracistatic ${libtcpip})
            endif()
            if (MVN_EXECUTABLE)
                ADD_CUSTOM_COMMAND(TARGET libtracijni POST_BUILD
                    COMMAND ${Python_EXECUTABLE} ${SUMO_TOOLS_DIR}/traci/rebuildConstants.py -o java/Constants.java -j org.eclipse.sumo.libtraci.Constants
                    COMMAND ${CMAKE_COMMAND} -E make_directory src/main/java/org/eclipse/sumo/libtraci
                    COMMAND ${CMAKE_COMMAND} -E copy_directory java src/main/java/org/eclipse/sumo/libtraci
                    COMMAND ${Python_EXECUTABLE} ${SUMO_TOOLS_DIR}/build_config/pom.py libtraci $<TARGET_FILE_DIR:libtracijni>
                    COMMAND ${MVN_COMMAND_PREFIX} ${MVN_EXECUTABLE} ${MVN_REPO} ${MVN_OPTS} --batch-mode package source:jar
                )
                # this dependency avoids concurrent maven access to the repo
                add_dependencies(libtracijni libsumojni)
            else()
                message(WARNING "Could not build libtraci jar, maven was not found.")
            endif()
            set_target_properties(libtracijni PROPERTIES FOLDER "libtraci")
            install(TARGETS libtracijni DESTINATION bin LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
        endif()
    endif()

    if (ENABLE_CS_BINDINGS)
        set(CS_NAMESPACE Eclipse.Sumo.Libtraci)
        set(CMAKE_SWIG_FLAGS -namespace ${CS_NAMESPACE})
        set(CMAKE_SWIG_OUTDIR ${CMAKE_CURRENT_BINARY_DIR}/${CS_NAMESPACE})
        set(SWIG_MODULE_libtracics_EXTRA_DEPS ${libtraci_HEADERS} ../libsumo/libsumo_typemap.i)
        SWIG_ADD_LIBRARY(libtracics LANGUAGE CSharp SOURCES libtraci.i)
        if ((GNU_COMPILER OR CLANG_COMPILER) AND NOT APPLE)
            set_source_files_properties(${swig_generated_file_fullname} PROPERTIES COMPILE_FLAGS "-Wno-strict-aliasing")
            target_link_libraries(libtracics -Wl,--whole-archive libtracistatic ${libtcpip} -Wl,--no-whole-archive)
        else()
            target_link_libraries(libtracics libtracistatic ${libtcpip})
        endif()
        ADD_CUSTOM_COMMAND(TARGET libtracics POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E tar "cf" "$<TARGET_FILE_DIR:libtracics>/libtracics-sources.zip" --format=zip "${CS_NAMESPACE}"
        )
        set_target_properties(libtracics PROPERTIES FOLDER "libtraci" PREFIX "")
        install(TARGETS libtracics DESTINATION bin LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
    endif()

    if (ENABLE_PYTHON_BINDINGS)
        if (Python_Development.Module_FOUND)
            set(CMAKE_SWIG_FLAGS "-keyword") # is necessary for using keyword args
            # other options which should be evaluated: -builtin, -modern, -extranative
            set(SWIG_OUTFILE_DIR ${CMAKE_CURRENT_BINARY_DIR})
            if (NOT ISOLATED_BUILD)
                set(CMAKE_SWIG_OUTDIR ${CMAKE_SOURCE_DIR}/tools/libtraci)
                set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_SOURCE_DIR}/tools/libtraci)
    #            set(CMAKE_LIBRARY_OUTPUT_DIRECTORY_DEBUG ${CMAKE_SOURCE_DIR}/tools/libtraci)
                set(CMAKE_LIBRARY_OUTPUT_DIRECTORY_RELEASE ${CMAKE_SOURCE_DIR}/tools/libtraci)
            endif()
            set(SWIG_MODULE_libtraci_EXTRA_DEPS ${libtraci_HEADERS} ../libsumo/libsumo_typemap.i)
            if (CLANG_COMPILER)
                set_property(SOURCE libtraci.i PROPERTY GENERATED_COMPILE_OPTIONS "-Wno-deprecated-declarations")
            endif()
            SWIG_ADD_LIBRARY(libtraci LANGUAGE python SOURCES libtraci.i)
            target_link_libraries(libtraci libtracistatic ${libtcpip} Python::Module)
        endif()
    endif(ENABLE_PYTHON_BINDINGS)

endif()

=== src/marouter/CMakeLists.txt ===
set(marouter_SRCS
   marouter_main.cpp
   ROMAAssignments.cpp
   ROMAAssignments.h
   ROMAEdge.cpp
   ROMAEdge.h
   ROMAEdgeBuilder.cpp
   ROMAEdgeBuilder.h
   ROMAFrame.cpp
   ROMAFrame.h
   ROMARouteHandler.cpp
   ROMARouteHandler.h
)

add_executable(marouter ${marouter_SRCS})
set_target_properties(marouter PROPERTIES OUTPUT_NAME marouter${BINARY_SUFFIX})
set_target_properties(marouter PROPERTIES OUTPUT_NAME_DEBUG marouter${BINARY_SUFFIX}D)
target_link_libraries(marouter router od ${commonvehiclelibs} ${TCMALLOC_LIBRARY})
add_dependencies(marouter generate-version-h install_dll)

install(TARGETS marouter RUNTIME DESTINATION bin COMPONENT runtime)

=== src/microsim/CMakeLists.txt ===
add_subdirectory(actions)
add_subdirectory(cfmodels)
add_subdirectory(devices)
add_subdirectory(engine)
add_subdirectory(lcmodels)
add_subdirectory(logging)
add_subdirectory(output)
add_subdirectory(traffic_lights)
add_subdirectory(transportables)
add_subdirectory(trigger)

set(microsim_STAT_SRCS
   MSBitSetLogic.h
   MSBaseVehicle.cpp
   MSBaseVehicle.h
   MSEdge.cpp
   MSEdge.h
   MSEdgeControl.cpp
   MSEdgeControl.h
   MSEdgeWeightsStorage.cpp
   MSEdgeWeightsStorage.h
   MSEventControl.cpp
   MSEventControl.h
   MSDynamicShapeUpdater.cpp
   MSDynamicShapeUpdater.h
   MSFrame.cpp
   MSFrame.h
   MSGlobals.cpp
   MSGlobals.h
   MSInsertionControl.cpp
   MSInsertionControl.h
   MSInternalJunction.cpp
   MSInternalJunction.h
   MSJunction.cpp
   MSJunction.h
   MSJunctionControl.cpp
   MSJunctionControl.h
   MSJunctionLogic.cpp
   MSJunctionLogic.h
   MSLane.cpp
   MSLane.h
   MSLaneChanger.cpp
   MSLaneChanger.h
   MSLaneChangerSublane.cpp
   MSLaneChangerSublane.h
   MSLink.cpp
   MSLink.h
   MSLogicJunction.cpp
   MSLogicJunction.h
   MSMoveReminder.cpp
   MSMoveReminder.h
   MSNet.cpp
   MSNet.h
   MSNoLogicJunction.cpp
   MSNoLogicJunction.h
   MSRightOfWayJunction.cpp
   MSRightOfWayJunction.h
   MSRoute.cpp
   MSRoute.h
   MSRouteHandler.cpp
   MSRouteHandler.h
   MSRouterDefs.h
   MSStop.cpp
   MSStop.h
   MSStoppingPlace.cpp
   MSStoppingPlace.h
   MSParkingArea.cpp
   MSParkingArea.h
   MSVehicle.cpp
   MSVehicle.h
   MSLeaderInfo.cpp
   MSLeaderInfo.h
   MSVehicleContainer.cpp
   MSVehicleContainer.h
   MSVehicleControl.cpp
   MSVehicleControl.h
   MSVehicleTransfer.cpp
   MSVehicleTransfer.h
   MSVehicleType.cpp
   MSVehicleType.h
   MSStateHandler.h
   MSStateHandler.cpp
   MSDriverState.h
   MSDriverState.cpp
   Command_RouteReplacement.h
   Command_RouteReplacement.cpp
   MSTrainHelper.cpp
   MSTrainHelper.h
   MSStopOptimizer.h
   MSStopOptimizer.cpp
)

add_library(microsim STATIC ${microsim_STAT_SRCS})
add_dependencies(microsim generate-version-h)
set_property(TARGET microsim PROPERTY PROJECT_LABEL "z_microsim")

=== src/netedit/CMakeLists.txt ===
# First link all subdirectories
add_subdirectory(changes)
add_subdirectory(dialogs)
add_subdirectory(frames)
add_subdirectory(elements)
add_subdirectory(tools)

# create set with all main netedit source code files
set(netedit_SRCS
   GNEApplicationWindow.cpp
   GNEApplicationWindow.h
   GNEApplicationWindowHelper.cpp
   GNEApplicationWindowHelper.h
   GNEAttributeProperties.cpp
   GNEAttributeProperties.h
   GNEEvent_FileLoaded.cpp
   GNEEvent_FileLoaded.h
   GNEExternalRunner.cpp
   GNEExternalRunner.h
   GNEInternalTest.cpp
   GNEInternalTest.h
   GNELane2laneConnection.cpp
   GNELane2laneConnection.h
   GNELoadThread.cpp
   GNELoadThread.h
   GNENet.cpp
   GNENet.h
   GNENetHelper.cpp
   GNENetHelper.h
   GNEPathManager.cpp
   GNEPathManager.h
   GNEReferenceCounter.h
   GNESegment.cpp
   GNESegment.h
   GNETagProperties.cpp
   GNETagProperties.h
   GNETagPropertiesDatabase.cpp
   GNETagPropertiesDatabase.h
   GNEUndoList.cpp
   GNEUndoList.h
   GNEViewNet.cpp
   GNEViewNet.h
   GNEViewNetHelper.cpp
   GNEViewNetHelper.h
   GNEViewParent.cpp
   GNEViewParent.h
   netedit_main.cpp
   templates.h
)

# create netedit executable using the main netedit source code files defined previously in netedit_SRCS
# and icon defined in file netedit.rc
add_executable(netedit ${netedit_SRCS} netedit.rc)

# Add suffix to netedit executable in RELEASE mode if was defined in variable BINARY_SUFFIX
set_target_properties(netedit PROPERTIES OUTPUT_NAME netedit${BINARY_SUFFIX})

# Add suffix + D to netedit executable in DEBUG mode if was defined in variable BINARY_SUFFIX
set_target_properties(netedit PROPERTIES OUTPUT_NAME_DEBUG netedit${BINARY_SUFFIX}D)

# link all previously compiled libraries to netedit. Every library was compiled in their own folder using own CMakeList.txt
target_link_libraries(netedit gui_dialogs utils_gui_cursors utils_gui_shortcuts utils_tests utils_foxtools foreign_eulerspiral
        netedit_frames_common netedit_frames_network netedit_frames_demand netedit_frames_data netedit_frames
        netedit_elements netedit_elements_network netedit_elements_additional netedit_elements_demand netedit_elements_moving
        netedit_elements_data netedit_changes utils_gui_div utils_gui_settings utils_gui_images netedit_dialogs_run
        netedit_dialogs_tools netedit_dialogs_basic netedit_dialogs_file netedit_dialogs_fix netedit_dialogs_elements
        netedit_dialogs_elements_lists netedit_dialogs_options netedit_tools netedit_dialogs utils_gui_windows utils_gui_globjects
        utils_gui_tracker utils_foxtools utils_vehicle utils_emissions foreign_phemlight foreign_phemlight_V5
        ${netconvertlibs} ${FOX_LIBRARY} ${GL2PS_LIBRARIES} ${BOOST_LIBRARIES})

# if we're compiling using Visual Studio, add extra options
if (MSVC)
    # Enable or disable console in release mode depending of variable CONSOLE_RELEASE
    # and set VC variable ENTRY, see https://learn.microsoft.com/en-us/cpp/build/reference/entry-entry-point-symbol
    if (CONSOLE_RELEASE)
        set_target_properties(netedit PROPERTIES LINK_FLAGS_RELEASE "/ENTRY:mainCRTStartup")
    else ()
        set_target_properties(netedit PROPERTIES LINK_FLAGS_RELEASE "/SUBSYSTEM:WINDOWS /ENTRY:mainCRTStartup")
    endif()
    # Disable DPI Aware if we're using a old CMAKE Version
    if (CMAKE_VERSION VERSION_LESS "3.16.0")
        message(STATUS "DPI awareness for netedit will be disabled. Please consider using CMake version >= 3.16 to enable it")
    else ()
        set_target_properties(netedit PROPERTIES VS_DPI_AWARE "ON")
    endif ()
    # Target system libraries opengl32 and glu32 (common for all operating systems)
    target_link_libraries(netedit opengl32 glu32)
endif ()

# define dependencies of NETEDIT (needs templates.h, version.h and DLLs installed in bin folder)
add_dependencies(netedit generate-templates-h generate-version-h install_dll)

# finally, define output folder (in our case, SUMO/bin)
install(TARGETS netedit RUNTIME DESTINATION bin COMPONENT runtime)

# now we're going to define the templates.h dependency.
# First we define a custom target for templates.h
add_custom_target(generate-templates-h DEPENDS templates.h)

# place custom target in tree folder CMake (in Visual studio)
set_property(TARGET generate-templates-h PROPERTY FOLDER "CMake")

# for generating dependences we need a SUMO binary compiled, then add sumo as dependency of generate-templates-h.
# this will compile SUMO BEFORE generate templates.h
add_dependencies(generate-templates-h sumo netconvert netgenerate)

# create CMake custom command that generates templates.h file (OUTPUT) giving as argument python executable (Python_EXECUTABLE),
# the python script <SUMO>/tools/build_config/templates.py (<SUMO/src/netedit>/../../tools/build_config/templates.py) and the sumo binary
add_custom_command(OUTPUT templates.h
                   COMMAND ${Python_EXECUTABLE} ${SUMO_TOOLS_DIR}/build_config/templates.py $<TARGET_FILE:sumo> $<TARGET_FILE:netconvert> $<TARGET_FILE:netgenerate>
                   DEPENDS sumo netconvert netgenerate
                   )

# Finally mark the generated templates.h as a generated file
set_source_files_properties(${CMAKE_BINARY_DIR}/src/netedit/templates.h PROPERTIES GENERATED TRUE)

=== src/netimport/CMakeLists.txt ===
add_subdirectory(vissim)

set(netimport_STAT_SRCS
   NIFrame.cpp
   NIFrame.h
   NILoader.cpp
   NILoader.h
   NITypeLoader.cpp
   NITypeLoader.h
   NIImporter_ArcView.cpp
   NIImporter_ArcView.h
   NIImporter_DlrNavteq.cpp
   NIImporter_DlrNavteq.h
   NIImporter_ITSUMO.cpp
   NIImporter_ITSUMO.h
   NIImporter_MATSim.cpp
   NIImporter_MATSim.h
   NIImporter_OpenDrive.cpp
   NIImporter_OpenDrive.h
   NIImporter_OpenStreetMap.cpp
   NIImporter_OpenStreetMap.h
   NIImporter_SUMO.cpp
   NIImporter_SUMO.h
   NIImporter_VISUM.cpp
   NIImporter_VISUM.h
   NIVisumTL.cpp
   NIVisumTL.h
   NIXMLConnectionsHandler.cpp
   NIXMLConnectionsHandler.h
   NIXMLEdgesHandler.cpp
   NIXMLEdgesHandler.h
   NIXMLNodesHandler.cpp
   NIXMLNodesHandler.h
   NIXMLTypesHandler.cpp
   NIXMLTypesHandler.h
   NIXMLPTHandler.cpp
   NIXMLPTHandler.h
   NIXMLShapeHandler.cpp
   NIXMLShapeHandler.h
   NIXMLTrafficLightsHandler.cpp
   NIXMLTrafficLightsHandler.h
   NINavTeqHelper.cpp
   NINavTeqHelper.h
   typemap.h
)

add_library(netimport STATIC ${netimport_STAT_SRCS})
set_property(TARGET netimport PROPERTY PROJECT_LABEL "z_netimport")

file(GLOB TYPEMAP_DATA "${CMAKE_CURRENT_SOURCE_DIR}/../../data/typemap/*.typ.xml")
add_custom_command(OUTPUT typemap.h
                   COMMAND ${Python_EXECUTABLE} ${SUMO_TOOLS_DIR}/build_config/typemap.py ${CMAKE_CURRENT_BINARY_DIR}/..
                   DEPENDS ${TYPEMAP_DATA}
                   )

=== build_config/debian/changelog ===
sumo (1.25.0-1) noble; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Thu, 13 Nov 2025 07:12:54 +0100

sumo (1.24.0-1) noble; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 22 Jul 2025 17:46:30 +0200

sumo (1.23.1-1) noble; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Thu, 08 May 2025 10:01:03 +0200

sumo (1.22.0-1) jammy; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 04 Feb 2025 16:23:23 +0100

sumo (1.21.0-1) jammy; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Thu, 10 Oct 2024 10:55:02 +0200

sumo (1.20.0-1) jammy; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 07 May 2024 09:00:32 +0200

sumo (1.19.0-1) jammy; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 07 Nov 2023 09:42:20 +0100

sumo (1.18.0-1~kinetic) kinetic; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Thu, 29 Jun 2023 09:17:39 +0200

sumo (1.17.0-1) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 25 Apr 2023 14:06:22 +0200

sumo (1.16.0-1) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 07 Feb 2023 08:42:45 +0100

sumo (1.15.0-1) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 08 Nov 2022 08:07:23 +0100

sumo (1.14.1-2) focal; urgency=medium

  * new upstream version
  * added eigen3

 -- Michael Behrisch <oss@behrisch.de>  Tue, 19 Jul 2022 09:22:45 +0200

sumo (1.14.0-1) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 12 Jul 2022 09:27:34 +0200

sumo (1.13.0-1) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 03 May 2022 09:01:33 +0200

sumo (1.12.0-6) focal; urgency=medium

  * added missing executables, headers and libs

 -- Michael Behrisch <oss@behrisch.de>  Thu, 10 Feb 2022 11:14:50 +0100

sumo (1.12.0-1) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Wed, 26 Jan 2022 09:21:33 +0100

sumo (1.11.0-4) focal; urgency=medium

  * fixing example runner

 -- Michael Behrisch <oss@behrisch.de>  Sun, 26 Dec 2021 10:43:24 +0100

sumo (1.11.0-1) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 23 Nov 2021 08:20:04 +0100

sumo (1.10.0+dfsg1-1~xenial) xenial; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 17 Aug 2021 09:27:20 +0200

sumo (1.9.1+dfsg1-1) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 04 May 2021 07:37:43 +0200

sumo (1.9.0+dfsg1-8) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 13 Apr 2021 11:22:48 +0200

sumo (1.8.0+dfsg1-2~focal) focal; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Wed, 02 Dec 2020 10:55:01 +0100

sumo (1.7.0+dfsg1-2) bionic; urgency=medium

  * new upstream version
  * fixing CMAKE_BUILD_TYPE to Release
  * include userdoc in doc package and avoid gzipped examples

 -- Michael Behrisch <oss@behrisch.de>  Thu, 17 Sep 2020 18:27:13 +0200

sumo (1.6.0+dfsg1-1) bionic; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Wed, 29 Apr 2020 11:32:49 +0200

sumo (1.5.0+dfsg1-5) bionic; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Sun, 16 Feb 2020 08:51:34 +0000

sumo (1.4.0+dfsg1-5) bionic; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Tue, 10 Dec 2019 20:45:20 +0100

sumo (1.3.1+dfsg1-7) bionic; urgency=medium

  * new upstream version

 -- Michael Behrisch <oss@behrisch.de>  Fri, 04 Oct 2019 09:14:25 +0200

sumo (1.2.0+dfsg1-14) bionic; urgency=medium

  * New upstream version
  * Using cmake build

 -- Michael Behrisch <oss@behrisch.de>  Tue, 16 Apr 2019 13:20:33 +0200

sumo (1.1.0+dfsg1-2) bionic; urgency=medium

  * added data dir
  * added profile scripts
  * using upstream desktop and icon file
  * license update

 -- Michael Behrisch <oss@behrisch.de>  Sun, 06 Jan 2019 18:26:58 +0000

sumo (1.1.0+dfsg1-1) bionic; urgency=medium

  * New version

 -- Michael Behrisch <oss@behrisch.de>  Sat, 05 Jan 2019 12:10:02 +0100

sumo (0.32.0+dfsg1-1) unstable; urgency=medium

  * New version

 -- Anton Gladky <gladk@debian.org>  Sun, 24 Dec 2017 22:10:02 +0100

sumo (0.30.0+dfsg1-1) unstable; urgency=medium

  * New version

 -- Anton Gladky <gladk@debian.org>  Sun, 23 Jul 2017 18:18:21 +0200

sumo (0.25.0+dfsg1-2) unstable; urgency=medium

  * [e0c661b] Add marouter and netedit to usr/bin.
              Thanks to Jakob Erdmann <namdre.sumo@googlemail.com>

 -- Anton Gladky <gladk@debian.org>  Thu, 14 Jan 2016 19:30:02 +0100

sumo (0.25.0+dfsg1-1) unstable; urgency=medium

  * [c4a28a0] Imported Upstream version 0.25.0+dfsg1. (Closes: #802470)
  * [cf1cc2a] Refresh patches.
  * [f37c4fd] Refresh d/rules.
  * [566cd3b] Apply cme fix dpkg.
  * [8c9ea7f] Drop menu-file.
  * [05ad9d7] Add proper python-dependencies.
  * [21a0ed4] Update d/copyright.
  * [5e839de] Use system packaged OpenLayers.js.

 -- Anton Gladky <gladk@debian.org>  Tue, 12 Jan 2016 22:29:34 +0100

sumo (0.24.0+dfsg1-1) unstable; urgency=medium

  * [420b439] Update d/watch.
  * [f72c31b] Refresh patches.
  * [c21b7b2] Remove old scripts.
  * [227569e] Imported Upstream version 0.24.0+dfsg1

 -- Anton Gladky <gladk@debian.org>  Sat, 12 Sep 2015 21:38:47 +0200

sumo (0.23.0+dfsg1-2) unstable; urgency=medium

  * Move package from experimental to unstable

 -- Anton Gladky <gladk@debian.org>  Mon, 04 May 2015 21:26:14 +0200

sumo (0.23.0+dfsg1-2~exp1) experimental; urgency=medium

  * [de8037f] Drop msse2 buildfpags, unsupported by some platforms



=== build_config/package/PKGBUILD ===
# Maintainer: Aleksandar Trifunović <akstrfn at gmail dot com>
# Contributor: Holger Doebler <holger DOD doebler AD posteo DOD de>
# Contributor: Florian Jacob <projects+arch AT florianjacob )DOT( de>
# Contributor: mareex <marcus [dot] behrendt [dot] 86 [at] gmail [dot] com>

SUMO_HOME='/usr/share/sumo'
pkgname=('sumo' 'sumo-doc')
pkgbase=sumo
pkgver=git
pkgrel=2
pkgdesc="Traffic simulation modelling road vehicles, public transport and pedestrians."
arch=('i686' 'x86_64')
url="http://sumo.dlr.de"
license=('GPL')
depends=('openscenegraph' 'python' 'proj' 'fox' 'xerces-c' 'gdal' 'gl2ps' 'arrow' 'python-pyproj' 'python-pandas' 'python-scipy')
makedepends=('cmake' 'help2man' 'swig' 'eigen' 'gtest' 'gmock' 'flake8' 'autopep8' 'python-setuptools' 'python-build' 'python-matplotlib' 'jdk-openjdk')
source=("${pkgbase}_${pkgver}.orig.tar.gz")

sha256sums=('SKIP')

prepare() {
    cd ${pkgbase}-${pkgver}

    cmake -H. -Bbuild \
        -DCMAKE_C_FLAGS:STRING="${CFLAGS}" \
        -DCMAKE_CXX_FLAGS:STRING="${CXXFLAGS}" \
        -DCMAKE_EXE_LINKER_FLAGS:STRING="${LDFLAGS}" \
        -DCMAKE_INSTALL_LIBDIR=lib \
        -DCMAKE_INSTALL_SYSCONFDIR=/etc \
        -DCMAKE_INSTALL_PREFIX=/usr \
        -DCMAKE_BUILD_TYPE=Release
}

build() {
    cd ${pkgbase}-${pkgver}
    cmake --build build -j 4
    cmake --build build -- man
}

example tests still fails
check() {
    cd ${pkgbase}-${pkgver}
    cmake --build build -- test
}

package_sumo() {
    optdepends=('java-runtime-common: for executing Jar files like TraCI4J'
                "python2: for executing various python scripts in $SUMO_HOME/tools")

    cd ${pkgbase}-${pkgver}

    # Installs just the bin files
    DESTDIR="${pkgdir}/" cmake --install build
    # Installs desktop files and pixmaps
    DESTDIR="${pkgdir}/" cmake --install build --component linux_integration
}

package_sumo-doc() {
    cd ${pkgbase}-${pkgver}

    install -d ${pkgdir}/usr/share/doc/${pkgbase}

    # just man pages for now
    # cp -a * ${pkgdir}/usr/share/doc/${pkgbase}/
    install -Dm644 docs/man/* -t ${pkgdir}/usr/share/man/man1/
    install -m0644 {AUTHORS,ChangeLog,LICENSE,README.md} ${pkgdir}/usr/share/doc/${pkgbase}
}
